Get Last Change
curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-last-change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"endpoint": "statistics",
"outputsize": 30
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-last-change"
payload = {
"page": 1,
"endpoint": "statistics",
"outputsize": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, endpoint: 'statistics', outputsize: 30})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-last-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-last-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'endpoint' => 'statistics',
'outputsize' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-last-change"
payload := strings.NewReader("{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-last-change")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-last-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"symbol": "<string>",
"mic_code": "<string>",
"last_change": "<string>"
}
],
"pagination": {
"per_page": 123,
"current_page": 123
}
}Twelve Data
Get Last Change
<!-- aisa-pricing:start -->
按用量计费;默认请求预估费用:$0.00031 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。
<!-- aisa-pricing:end -->
POST
https://api.aisa.one
/
apis
/
v1
/
twelvedata
/
get-last-change
Get Last Change
curl --request POST \
--url https://api.aisa.one/apis/v1/twelvedata/get-last-change \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"endpoint": "statistics",
"outputsize": 30
}
'import requests
url = "https://api.aisa.one/apis/v1/twelvedata/get-last-change"
payload = {
"page": 1,
"endpoint": "statistics",
"outputsize": 30
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({page: 1, endpoint: 'statistics', outputsize: 30})
};
fetch('https://api.aisa.one/apis/v1/twelvedata/get-last-change', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.aisa.one/apis/v1/twelvedata/get-last-change",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'page' => 1,
'endpoint' => 'statistics',
'outputsize' => 30
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.aisa.one/apis/v1/twelvedata/get-last-change"
payload := strings.NewReader("{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.aisa.one/apis/v1/twelvedata/get-last-change")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.aisa.one/apis/v1/twelvedata/get-last-change")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"page\": 1,\n \"endpoint\": \"statistics\",\n \"outputsize\": 30\n}"
response = http.request(request)
puts response.read_body{
"data": [
{
"symbol": "<string>",
"mic_code": "<string>",
"last_change": "<string>"
}
],
"pagination": {
"per_page": 123,
"current_page": 123
}
}请求规范
- 方法与路径: POST /apis/v1/twelvedata/get-last-change
- 可用状态: enabled
- 请求 URL 模板:
https://api.aisa.one/apis/v1/twelvedata/get-last-change - Runtime 事实版本: be86868d55452e2d3238a78a01e84ee4ea754154da2627dd8e94fd2d5f19c061
{
"operationId": "twelvedata.get-last-change",
"method": "POST",
"path": "/apis/v1/twelvedata/get-last-change",
"servers": [
{
"url": "https://api.aisa.one"
}
],
"parameters": [],
"security": [
{
"bearerAuth": []
}
],
"requestBody": {
"required": true,
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"page": {
"enum": [
1
],
"maximum": 9223372036854775807,
"minimum": 1,
"type": "integer",
"description": "Page number for pagination (default 1)."
},
"symbol": {
"type": "string",
"description": "Filter by symbol (e.g., 'AAPL')."
},
"country": {
"type": "string",
"description": "Filter by country name or code (e.g., 'United States' or 'US')."
},
"endpoint": {
"enum": [
"statistics"
],
"type": "string",
"description": "The fundamentals dataset to check for last changes."
},
"exchange": {
"type": "string",
"description": "Filter by exchange (e.g., 'NASDAQ')."
},
"mic_code": {
"type": "string",
"description": "Filter by MIC code (ISO 10383), e.g., 'XNAS'."
},
"outputsize": {
"enum": [
30
],
"maximum": 9223372036854775807,
"minimum": 1,
"type": "integer",
"description": "Number of records per page (default 30)."
},
"start_date": {
"type": "string",
"examples": [
"2023-01-01 00:00:00"
],
"description": "Start date/time filter (inclusive) in 'YYYY-MM-DD HH:MM:SS' format."
}
},
"required": [
"endpoint",
"outputsize",
"page"
]
}
}
}
},
"x-aisa-status": "enabled",
"x-aisa-pricing": {
"cost_contract": "response_units",
"customer_multiplier": 1.0,
"customer_pricing": "provider_cost_multiplier",
"default_request_estimate_usd": 0.00031,
"estimate_source": "profile_seed",
"evidence_source": "response_body",
"maximum_units": 10000000,
"unit": "provider_credit",
"unit_rate_usd": 1e-06
},
"components": {
"securitySchemes": {
"bearerAuth": {
"scheme": "bearer",
"type": "http"
}
}
}
}
费用与请求规则
按用量计费;默认请求预估费用:$0.00031 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。- 默认请求参考估价(USD): 0.00031
- 声明的单位费率(USD): 1e-06
- 计费单位: provider_credit
- 计费依据: response_units
- 公开参考倍率: 1.0
- 声明的最大计数或单位数: 10000000
- 结算证据来源: response_body
授权
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
请求体
application/json
Page number for pagination (default 1).
可用选项:
1 必填范围:
1 <= x <= 9223372036854776000The fundamentals dataset to check for last changes.
可用选项:
statistics Number of records per page (default 30).
可用选项:
30 必填范围:
1 <= x <= 9223372036854776000Filter by symbol (e.g., 'AAPL').
Filter by country name or code (e.g., 'United States' or 'US').
Filter by exchange (e.g., 'NASDAQ').
Filter by MIC code (ISO 10383), e.g., 'XNAS'.
Start date/time filter (inclusive) in 'YYYY-MM-DD HH:MM:SS' format.
示例:
"2023-01-01 00:00:00"